<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
<main>
    <h1>HW7 Q&A</h1>

    <h4>Опишіть своїми словами як працює метод forEach.</h4>
    <p>
        Цей метод викликає функцію для кожного елемента масиву. Ця функція приймає три аргументи: значення елемента, індекс елемента, масив, по якому відбувається ітерація.
        За допомогою цього методу можна вивести всі елементи масиву, або змінити їх.
    </p>

    <h4>Як очистити масив?</h4>
    <p>
        Масив можна очистити кількома способами:
        За допомогою методу splice() - видаляє елементи масиву і повертає їх.
        За допомогою методу length - встановлює довжину масиву в 0.
        За допомогою методу delete - видаляє елемент масиву, але не змінює його довжину.

        або ітеративно
        За допомогою методу pop() - видаляє останній елемент масиву і повертає його.
        За допомогою методу shift() - видаляє перший елемент масиву і повертає його.
    </p>

    <h4>Як можна перевірити, що та чи інша змінна є масивом?</h4>
    <p>
        Щоб перевірити, що змінна є масивом, можна використати метод Array.isArray().
    </p>
</main>

<script src="./js/script.js"></script>
<script src="./js/deadline.js"></script>
<script src="./js/filter.js"></script>
</body>
</html>